=== debian/changelog ===
pgloader (3.3.2+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * pgloader: Add Depends: libssl1.0.2, dlopen()ed at runtime.
    (Closes: #864309)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Jun 2017 12:19:48 +0200

pgloader (3.3.2+dfsg-1) unstable; urgency=medium

  * Fixes github issue 453 (Closes: #843555)
  * Maintenance release.

 -- Dimitri Fontaine <dim@tapoueh.org>  Sat, 03 Dec 2016 19:36:56 +0300
