## pgloader 3.4.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # pgloader build tool
 APP_NAME   = pgloader
-VERSION    = 3.3.2
+VERSION    = 3.4.1
 
 # use either sbcl or ccl
 CL	   = sbcl
@@ -160,7 +160,7 @@
                        $(COMPRESS_CORE_OPT)                    \
                        --output $(PGLOADER)
 test: $(PGLOADER)
-	$(MAKE) PGLOADER=$(realpath $(PGLOADER)) -C test regress
+	$(MAKE) PGLOADER=$(realpath $(PGLOADER)) CL=$(CL) -C test regress
 
 clean-bundle:
 	rm -rf $(BUNDLEDIR)
@@ -230,4 +230,4 @@
 
 check: test ;
 
-.PHONY: test pgloader-standalone
+.PHONY: test pgloader-standalone docs
