=== test/Makefile ===
--- 
+++ 
@@ -34,6 +34,11 @@
          xzero.load
 
 PGLOADER ?= ../build/bin/pgloader
+
+EXTRA_OPTS =
+ifneq (,$(findstring ccl,$(CL)))
+EXTRA_OPTS = --batch --heap-reserve 150g
+endif
 
 regress: clean-out $(addprefix regress/out/, $(REGRESS:.load=.out)) ;
 
@@ -96,5 +101,5 @@
 # Regression tests
 regress/out/%.out: %.load
 	#./regress.sh $(PGLOADER) $<
-	$(PGLOADER) --regress $<
+	$(PGLOADER) $(EXTRA_OPTS) --regress $<
 	touch $@
