=== debian/changelog ===
pgloader (3.4.1+dfsg-1) unstable; urgency=medium

  * New release, bugfixes and new features

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 06 Jul 2017 16:51:53 +0300
