## pgloader 3.5.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # pgloader build tool
 APP_NAME   = pgloader
-VERSION    = 3.4.1
+VERSION    = 3.5.2
 
 # use either sbcl or ccl
 CL	   = sbcl
@@ -11,7 +11,9 @@
 LISP_SRC   = $(wildcard src/*lisp)         \
              $(wildcard src/monkey/*lisp)  \
              $(wildcard src/utils/*lisp)   \
+             $(wildcard src/load/*lisp)    \
              $(wildcard src/parsers/*lisp) \
+             $(wildcard src/pg-copy/*lisp) \
              $(wildcard src/pgsql/*lisp)   \
              $(wildcard src/sources/*lisp) \
              pgloader.asd
@@ -21,9 +23,12 @@
 QLDIR      = $(BUILDDIR)/quicklisp
 MANIFEST   = $(BUILDDIR)/manifest.ql
 LATEST     = $(BUILDDIR)/pgloader-latest.tgz
+
+BUNDLEDIST = 2018-04-30
 BUNDLENAME = pgloader-bundle-$(VERSION)
 BUNDLEDIR  = $(BUILDDIR)/bundle/$(BUNDLENAME)
 BUNDLE     = $(BUILDDIR)/$(BUNDLENAME).tgz
+BUNDLETESTD= $(BUILDDIR)/bundle/test
 
 ifeq ($(OS),Windows_NT)
 EXE           = .exe
@@ -65,10 +70,7 @@
 all: $(PGLOADER)
 
 clean:
-	rm -rf $(LIBS) $(QLDIR) $(MANIFEST) $(BUILDAPP) $(PGLOADER)
-
-docs:
-	ronn -roff pgloader.1.md
+	rm -rf $(LIBS) $(QLDIR) $(MANIFEST) $(BUILDAPP) $(PGLOADER) docs/_build
 
 $(QLDIR)/local-projects/qmynd:
 	git clone --depth 1 https://github.com/qitab/qmynd.git $@
@@ -98,9 +100,9 @@
         $(QLDIR)/local-projects/qmynd ;
 
 $(LIBS): $(QLDIR)/setup.lisp clones
-	$(CL) $(CL_OPTS) --load $(QLDIR)/setup.lisp                 \
-             --eval '(push "$(PWD)/" asdf:*central-registry*)'      \
-             --eval '(ql:quickload "pgloader")'                     \
+	$(CL) $(CL_OPTS) --load $(QLDIR)/setup.lisp                   \
+             --eval '(push "$(PWD)/" ql:*local-project-directories*)' \
+             --eval '(ql:quickload "pgloader")'                       \
              --eval '(quit)'
 	touch $@
 
@@ -164,12 +166,18 @@
 
 clean-bundle:
 	rm -rf $(BUNDLEDIR)
+	rm -rf $(BUNDLETESTD)/$(BUNDLENAME)/*
+
+$(BUNDLETESTD):
+	mkdir -p $@
 
 $(BUNDLEDIR):
 	mkdir -p $@
-	$(CL) $(CL_OPTS) --load $(QLDIR)/setup.lisp                \
-             --eval '(ql:bundle-systems (list "pgloader" "buildapp") :to "$@")' \
-             --eval '(quit)'
+	$(CL) $(CL_OPTS) --load $(QLDIR)/setup.lisp      \
+             --eval '(defvar *bundle-dir* "$@")'         \
+             --eval '(defvar *pwd* "$(PWD)/")'           \
+             --eval '(defvar *ql-dist* "$(BUNDLEDIST)")' \
+             --load bundle/ql.lisp
 
 $(BUNDLE): $(BUNDLEDIR)
 	cp bundle/README.md $(BUNDLEDIR)
@@ -180,9 +188,12 @@
 	tar -C build/bundle 		    \
             --exclude bin   		    \
             --exclude test/sqlite           \
-            -czf $@ pgloader-bundle-$(VERSION)
-
-bundle: $(BUNDLE)
+            -czf $@ $(BUNDLENAME)
+
+bundle: clean-bundle $(BUNDLE) $(BUNDLETESTD)
+	tar -C $(BUNDLETESTD) -xf $(BUNDLE)
+	make -C $(BUNDLETESTD)/$(BUNDLENAME)
+	$(BUNDLETESTD)/$(BUNDLENAME)/bin/pgloader --version
 
 test-bundle:
 	$(MAKE) -C $(BUNDLEDIR) test
@@ -193,11 +204,6 @@
 	mkdir -p $(DEBUILD_ROOT) && rm -rf $(DEBUILD_ROOT)/*
 	rsync -Ca --exclude 'build'                      		  \
 		  --exclude '.vagrant'                   		  \
-		  --exclude 'test/sqlite-chinook.load'   		  \
-		  --exclude 'test/sqlite'                		  \
-		  --exclude 'test/data/2013_Gaz_113CDs_national.txt'      \
-		  --exclude 'test/data/reg2013.dbf'      		  \
-		  --exclude 'test/data/sakila-db.zip'    		  \
               ./ $(DEBUILD_ROOT)/
 	cd $(DEBUILD_ROOT) && make -f debian/rules orig
 	cd $(DEBUILD_ROOT) && debuild -us -uc -sa
@@ -230,4 +236,4 @@
 
 check: test ;
 
-.PHONY: test pgloader-standalone docs
+.PHONY: test pgloader-standalone docs bundle
