=== debian/changelog ===
pgloader (3.5.2-3) unstable; urgency=medium

  * Make cl-pgloader test depend on ca-certificates so the snakeoil
    certificate is recognized as a valid CA. (Needs the /etc/ssl/certs/*.0
    file.)

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 31 Jul 2018 16:24:03 +0200

pgloader (3.5.2-2) unstable; urgency=medium

  * Install pgloader.asd into correct location. (Closes: #857226)
  * Test cl-pgloader through sbcl --eval.
  * Skip building and manpage generation in arch-indep builds.

 -- Christoph Berg <myon@debian.org>  Tue, 03 Jul 2018 22:51:48 +0200

pgloader (3.5.2-1) unstable; urgency=medium

  * New upstream version.
  * All included test data has been verified as free, stop building a +dfsg
    tarball.
  * debian/source/options: Ignore changes in src/params.lisp (release vs
    non-release).
  * Enable SSL in src/hooks.lisp.
  * Run wrap-and-sort -st.
  * Add new B-D cl-mustache, cl-yason, cl-zs3, sync Depends to cl-pgloader.
  * Depend on the libssl version cl-plus-ssl depends on. (Closes: #864309)
  * Build and install new sphinx docs instead.
  * Build manpage using help2man.
  * Priority: optional, move cl-pgloader to Section: lisp.
  * Update S-V.
  * Add watch file.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 03 Jul 2018 16:59:07 +0200
