=== test/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
          csv-error.load 	    \
          csv-escape-mode.load 	    \
          csv-filename-pattern.load  \
+         csv-guess.load             \
          csv-header.load            \
          csv-json.load              \
          csv-keep-extra-blanks.load \
@@ -34,6 +35,7 @@
          xzero.load
 
 PGLOADER ?= ../build/bin/pgloader
+PGSUPERUSER ?= postgres
 
 EXTRA_OPTS =
 ifneq (,$(findstring ccl,$(CL)))
@@ -52,16 +54,16 @@
 all: prepare $(OUT)
 
 prepare: bossa.sql sakila
-	-dropdb -U postgres pgloader
-	-dropdb -U postgres stocks
-	-dropdb -U postgres ip4r
-	-createdb -U postgres -O `whoami` pgloader
-	-createdb -U postgres -O `whoami` stocks
-	-createdb -U postgres -O `whoami` ip4r
-	-psql -d pgloader -c 'create schema expected'
-	-psql -U postgres -d pgloader -c 'create extension ip4r'
-	-psql -U postgres -d ip4r -c 'create extension ip4r'
-	-psql -d stocks -f bossa.sql
+	-dropdb -U $(PGSUPERUSER) pgloader
+	-dropdb -U $(PGSUPERUSER) stocks
+	-dropdb -U $(PGSUPERUSER) ip4r
+	createdb -U $(PGSUPERUSER) -O `whoami` pgloader
+	createdb -U $(PGSUPERUSER) -O `whoami` stocks
+	createdb -U $(PGSUPERUSER) -O `whoami` ip4r
+	psql -d pgloader -c 'create schema expected'
+	psql -U $(PGSUPERUSER) -d pgloader -c 'create extension ip4r'
+	psql -U $(PGSUPERUSER) -d ip4r -c 'create extension ip4r'
+	psql -d stocks -f bossa.sql
 
 errors.out: errors.load
 	-$(PGLOADER) $<
@@ -80,8 +82,8 @@
 	unzip $< -d $(TMPDIR)
 
 sakila: $(TMPDIR)/sakila-db/sakila-schema.sql
-	-dropdb -U postgres sakila
-	-createdb -U postgres -O `whoami` sakila
+	-dropdb -U $(PGSUPERUSER) sakila
+	-createdb -U $(PGSUPERUSER) -O `whoami` sakila
 	-echo "DROP DATABASE sakila" | mysql -u root
 	echo "SOURCE $(TMPDIR)/sakila-db/sakila-schema.sql" | mysql -u root
 	echo "SOURCE $(TMPDIR)/sakila-db/sakila-data.sql"   | mysql -u root
@@ -93,6 +95,15 @@
 csv-districts-stdin.out: csv-districts-stdin.load
 	cat  data/2013_Gaz_113CDs_national.txt | $(PGLOADER) $^
 
+ifneq (,$(findstring ccl,$(CL)))
+regress/out/dbf.out: dbf.load
+	@echo "Skipping $@, CCL doesn't have CP850 encoding"
+	touch $@
+else
+	$(PGLOADER) $(EXTRA_OPTS) --regress $<
+	touch $@
+endif
+
 # General case where we do NOT expect any error
 %.out: %.load
 	$(PGLOADER) $<
@@ -100,6 +111,5 @@
 
 # Regression tests
 regress/out/%.out: %.load
-	#./regress.sh $(PGLOADER) $<
 	$(PGLOADER) $(EXTRA_OPTS) --regress $<
 	touch $@
