=== debian/changelog ===
pgloader (3.6.1-1) unstable; urgency=medium

  * New upstream version.
  * SSL is always enabled now, drop our patch.
  * Add B-D on python3-sphinx-rtd-theme.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 21 Jan 2019 16:09:17 +0100
