=== debian/watch ===
version=4
https://github.com/dimitri/pgloader/releases .*/v(.*).tar.gz
