=== debian/changelog ===
pgloader (3.6.3-1ubuntu1) jammy; urgency=medium

  * d/p/force-libcrypto-reload.patch: force reloading cl+ssl::libcrypto.
    (LP: #1968594)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 12 Apr 2022 14:44:38 -0300

pgloader (3.6.3-1build1) jammy; urgency=medium

  * No changes rebuild for cl-plus-ssl fixes (LP: #1960615).

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 11 Apr 2022 09:16:20 -0300

pgloader (3.6.3-1) unstable; urgency=medium

  * New upstream version.
  * Remove cl-pgloader, deprecated upstream.
  * debian/tests/ssl: Force md5 auth if cl-postmodern is too old.

 -- Christoph Berg <myon@debian.org>  Tue, 21 Dec 2021 10:09:53 +0100
