=== debian/tests/control ===
Depends: pgloader, ca-certificates, cl-postmodern, postgresql
Tests: ssl
Restrictions: allow-stderr, needs-root
