## pgloader 3.6.6

=== debian/changelog ===
pgloader (3.6.6-1.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 27 Jun 2022 11:03:00 +0200

pgloader (3.6.6-1) unstable; urgency=medium

  * New upstream version.
  * Run tests at build-time as well.

 -- Christoph Berg <myon@debian.org>  Mon, 27 Jun 2022 11:03:00 +0200

pgloader (3.6.4-1) unstable; urgency=medium

  * New upstream version.
  * debian/tests/testsuite: Run regression tests.

 -- Christoph Berg <myon@debian.org>  Fri, 24 Jun 2022 14:32:54 +0200
