=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	$(MAKE) -C docs html
 
 override_dh_auto_test:
-	# do nothing
+	PATH=$(CURDIR)/build/bin:$(PATH) debian/tests/testsuite
 
 override_dh_strip override_dh_dwz:
 	# do nothing, sbcl doesn't write any debug info
