=== debian/changelog ===
pgloader (3.6.7-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 13 Aug 2022 10:32:41 +0200

pgloader (3.6.7-1) unstable; urgency=medium

  * New upstream version:
  * Set SBCL dynamic space size to 16 GB on 64 bit architectures.
  * Improve documentation with command lines and defaults.
  * SBCL compiler notes should not be fatal to pgloader.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Aug 2022 10:32:41 +0200
