=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pgloader
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dimitri Fontaine <dim@tapoueh.org>
+Maintainer: Dimitri Fontaine <dim@tapoueh.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  buildapp (>= 1.5),
@@ -47,9 +46,10 @@
  cl-uuid,
  cl-yason,
  cl-zs3,
- debhelper-compat (= 13),
+ debhelper (>= 12),
  gawk,
  help2man,
+ postgresql-14-ip4r <!nocheck> | postgresql-ip4r <!nocheck>,
  python3-sphinx-rtd-theme,
  python3-sphinx,
  sbcl (>= 1.1.13),
